Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
multilib-overlay
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Sat Sep 04, 2010 12:19 am    Post subject: Reply with quote

vlooe wrote:
@Styrsven:
I can not reproduce your error.

Please set MULTILIB_DEBUG=1, build python again and pastebin every line here.

@sss123NEXT:
Do you still have trouble?


sorry, i have been offline few days, local problem with internet, i will make this
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Sat Sep 04, 2010 12:49 am    Post subject: Reply with quote

http://pastebin.com/EC6LWhbs
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
vlooe
n00b
n00b


Joined: 04 Jun 2005
Posts: 35
Location: Germany

PostPosted: Sat Sep 04, 2010 8:51 am    Post subject: Reply with quote

@sss123NEXT:
Try to delete the *.la files of imlib2, rebuild libcaca and paste the output if it still fail
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Sat Sep 04, 2010 3:31 pm    Post subject: Reply with quote

i will do, but i need to rebuild large number of packets before, i will post results tomorrow
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Mon Sep 06, 2010 3:42 am    Post subject: Reply with quote

i do not know what exactly helped, but now i have succesfully compiled libcaca, i will continue to build multilib packages, thanks for nice repo.
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Mon Sep 06, 2010 4:24 am    Post subject: Reply with quote

lirc compilation problem, and also it outdated version

http://pastebin.com/4StzcdGa
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Mon Sep 06, 2010 3:26 pm    Post subject: Reply with quote

also needed ebuild for media-libs/libvpx, i tried to rewrite existing ebuild, but it used not default options (i mean does not use --host, and use --target instaead)
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Fri Sep 10, 2010 6:13 pm    Post subject: Reply with quote

xulrunner compilation problem

http://pastebin.com/nd0xfhD7
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Sat Sep 11, 2010 4:16 pm    Post subject: Reply with quote

sss123NEXT wrote:
xulrunner compilation problem

http://pastebin.com/nd0xfhD7


this is paludis related problem, and few other packages with same problem
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
vlooe
n00b
n00b


Joined: 04 Jun 2005
Posts: 35
Location: Germany

PostPosted: Sun Sep 12, 2010 2:43 pm    Post subject: Reply with quote

I know lirc is outdated.
It causes some problems and i do not have the time to solve them. :-/

I will try to see what i can do for media-libs/libvpx

The xulrunner problem is cause by
# * You are using a package manager that does not provide /var/tmp/paludis/net-libs-xulrunner-1.9.2.9/temp//eclass-debug.log.
# * Join #gentoo-multilib-overlay on freenode to help finding another way for you.
# * Falling back to old behaviour ...
# * Using python_src_compile for ABI x86 ...

The problem with the old behaviour is that it does not know the eclass inherit order :-/
Maybe paludis provides something else to get the inherit order.
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Tue Sep 14, 2010 1:25 pm    Post subject: Reply with quote

should i talk to paludis developeres about this ?
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Tue Sep 14, 2010 1:27 pm    Post subject: Reply with quote

and one offtopic question, how i can tell emerge to install package from repository which i want ?
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Tue Sep 14, 2010 1:32 pm    Post subject: Reply with quote

Quote:
and one offtopic question, how i can tell emerge to install package from repository which i want ?


You can not do this yet in portage ( I do not know about paludis )

I believe the main portage tree gets the least priority and the highest priority goes to last overlay added in layman.
_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
sss123NEXT
n00b
n00b


Joined: 23 Sep 2007
Posts: 32
Location: Ukraine\Crimea\Alushta

PostPosted: Thu Sep 16, 2010 7:45 am    Post subject: Reply with quote

drescherjm wrote:
Quote:
and one offtopic question, how i can tell emerge to install package from repository which i want ?


You can not do this yet in portage ( I do not know about paludis )

I believe the main portage tree gets the least priority and the highest priority goes to last overlay added in layman.


i asked because it's easy to do with paludis, and what i can't find how to do this with portage really surprised me ...
with paludis you need just type xulrunner::multilib for example
_________________
am i evil ?

Gentoo repo
Back to top
View user's profile Send private message
vlooe
n00b
n00b


Joined: 04 Jun 2005
Posts: 35
Location: Germany

PostPosted: Thu Sep 16, 2010 9:02 am    Post subject: Reply with quote

@sss123NEXT:
There is no way to say portage which package it have to take.
It takes the package from the last overlay.

You can see the order in the emerge --info output.
Back to top
View user's profile Send private message
Geos_One
Apprentice
Apprentice


Joined: 15 Sep 2005
Posts: 250
Location: Austria,Graz

PostPosted: Tue Aug 09, 2011 3:39 am    Post subject: Multilib-portage Reply with quote

Hallo,
getting multilib portage to work with all the broken packages is hard work (stop and go emerge)

so i have created an overlay where all the ebuilds/eclasses are placed that are still not corrected in portage.

my goal for this overlay is to get rid of the emul packages
so correct all the packages that depend on emul packages

the layman file
http://ftp.disconnected-by-peer.at/pub/overlay/geos_one-overlay.xml

the overlay is called multilib-portage-fixes

you have to change /etc/portage/repos.conf to override the gentoo eclasses
Code:

[DEFAULT]
eclass-overrides = gentoo multilib-portage-fixes multilib
[multilib]
eclass-overrides = gentoo multilib-portage-fixes multilib
[multilib-portage-fixes]
eclass-overrides = gentoo multilib-portage-fixes multilib


and you have to add this to your /etc/make.conf

Code:

MULTILIB_BINARIES="$MULTILIB_BINARIES x11-libs/gdk-pixbuf dev-libs/gobject-introspection dev-util/automoc"


thx
Mario
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7
Page 7 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum